import { ELogLevel } from "./logLevel";
export declare type LogFunction = (...args: any[]) => void;
export interface ILoggerParent {
    log(level: ELogLevel, tags: string, ...messages: any[]): void;
}
export interface LoggerInstance {
    createSubLogger(...extraTags: string[]): LoggerInstance;
    log(level: ELogLevel, ...messages: any[]): void;
    debug(...messages: any[]): void;
    info(...messages: any[]): void;
    warn(...messages: any[]): void;
    error(...messages: any[]): void;
    fatal(...messages: any[]): void;
}
export declare const createLoggerInstance: (parent: ILoggerParent, parentTags: string, tags: string[]) => LoggerInstance;
